-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/broker_healbot/localization/

local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

function BHB_locale()
  return setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
  })
end

Ld["/bhb"] = "/bhb"
Ld["Broker_HealBot"] = "Broker_HealBot"
Ld["HealBot"] = "HealBot"
Ld["Left Click"] = "Left Click"
Ld["Right Click"] = "Right Click"
Ld["Shift Left Click"] = "Shift Left Click"
Ld["Shift Right Click"] = "Shift Right Click"
Ld["debug"] = "debug"
Ld["debug toggled"] = "debug toggled"
Ld["minimap"] = "minimap"
Ld["minimap toggled"] = "minimap toggled"
Ld["reset requested (in combat)"] = "reset requested (in combat)"
Ld["skin change requested (in combat)"] = "skin change requested (in combat)"
Ld["skin set to"] = "skin set to"
Ld["skins"] = "skins"
Ld["toggle requested (in combat)"] = "toggle requested (in combat)"


if locale == "frFR" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "deDE" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "koKR" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "esMX" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "ruRU" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "zhCN" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "esES" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["toggle requested (in combat)"] = ""

elseif locale == "zhTW" then do end
-- La["/bhb"] = ""
-- La["Broker_HealBot"] = ""
-- La["HealBot"] = ""
-- La["Left Click"] = ""
-- La["Right Click"] = ""
-- La["Shift Left Click"] = ""
-- La["Shift Right Click"] = ""
-- La["debug"] = ""
-- La["debug toggled"] = ""
-- La["minimap"] = ""
-- La["minimap toggled"] = ""
-- La["reset requested (in combat)"] = ""
-- La["skin change requested (in combat)"] = ""
-- La["skin set to"] = ""
-- La["skins"] = ""
-- La["toggle requested (in combat)"] = ""

end
